# Epic Loot effects and recipes changes

This mod is intended to be paired with [EpicLoot Stellarwhims LootTables](https://valheim.thunderstore.io/package/Stellarwhims/EpicLoot_Stellarwhims_LootTables/)

This mod contains heavily modified magic effects for [EpicLoot](https://valheim.thunderstore.io/package/RandyKnapp/EpicLoot/)
mod 

Mostly damage nerfs. 

Most Parry, Block, Stamina and Health Regen effects are nerfed, and set to legendary only.

Parry, Block, Stamina and Health Regen for lowhealth are still available to roll as normal.

Removed bows from attack speed effect.

Recipes to build trophies have been removed.

# Eitr Integration

Be aware:
This mod changes epic loot recipes to use Eitr instead of rarity appropriate dust.

## Installation

* Automated: just install as long as using TMM or R2Modman.
* Manual: you need to know what you are doing ;)

Take care, this mod will overwrite the EpicLoot files:
* recipes.json

* magiceffects.json

* enchantcosts.json

* legendaries.json

* adventuredata.json 

* translations.json

Can only be used if no other mods overwriting the same files!
 
## Changelog

1.1.25 ( Eitr Integration ):

		- Added dust to Eitr recipes so existing dust is not worthless with this mod.

1.1.24 ( Eitr Integration ):

		- removed Magic, Rare, Epic, Legendary dust from all recipes.
		- added Eitr to all recipes.
		- Going forward, this mod is intended to be paired with version 1.3.9 (or higher) of [EpicLoot Stellarwhims LootTables](https://valheim.thunderstore.io/package/Stellarwhims/EpicLoot_Stellarwhims_LootTables/)
		- Explosive shot has been brought back closer to its original damage values.

<details>
  <summary>
    Previous changes:
  </summary>

		1.1.23:

				- added Crossbows to modify backstab
				- removed Crossbows from quickdraw
				- removed Crossbows from tripleshot
				  hope this makes tripleshot more of a skilled user ability
				- removed bows and crossbows from attack speed during low health (forgot to do this in an earlier change)
				- new named legendary bow, Finnurs' Rage

		1.1.21:

				- added missing available effects to lantern to better mirror utility item available effects.
  
		1.1.20:

				- fixed mistakes in order to implement previous change for lanterns correctly

		1.1.19:

				- lantern available effects changed to closely mirrror available utility slot effects.
					Unlike a torch, a lantern has no attack.  so previous available effects of a torch make no sense.
  
		1.1.18:

				- updated materials conversions.json to match recipes.json.
				- added some junk recipes for trollhide, loxpelt, hardantler. removed crafting trophies from junk.

		1.1.17:

				- added and modified changes for EL 0.9.4 - 0.9.6 release
				- magic double shot and bow triple shot changed to legendary only
  
		1.1.16:

				- Modify Backstab allowed on epic rarity

		1.1.15:

				- Legendary update
				- The following effects have been brought back / changed and nerfed to only legendary items
				- Modify Parry,Modify Health Regen,Add Health Regen,Modify Stamina Regen,Modify Eitr Regen,
				- Modify Sprint Stamina Use,Modify Jump Stamina Use,Modify Attack Stamina Use,
				- Modify Block Stamina Use, QuickLearner, Modify Stagger Damage, Modify Parry Window
				- Modify Backstab *exception that this ability can still happen on epic rarity as well.
  
		1.1.14:

				- added and modified updates from EL 0.9.3 release 

		1.1.13:

				- re-arranged artisan bench recipes so the same resulting products appear next to each other, 
				- so you can see if you are upgrading or crafting, without having to scroll.

		1.1.12:

				- oh hey, the artisan table is totally a valid crafting table now. right.
				- added all of the original EpicLoot tab key recipes to the artisan table so now once you build that, you can just do everything enchanting there.
				- the separate crafting tables retain their enchanting recipes to allow access as you progress, pre-artisan table.

		1.1.11:

				- increased bounty gold rewards
				- added thunderstones to runestone conversion
				- "replaced" augment gold cost with thunderstones. ( doesn't make sense to pay the artisan table. ( mah immersion! ))
				- and yes, you are probably going to need a cart if you plan on reaugmenting more than a few times ... lol

		1.1.10:

				- nerf: general nerfing pass. most abilities nerfed.
				- these changes should bring enchants closer to being the final upgrade in quality based on vanilla quality.

		1.1.9:

				- nerf: oppurtunists chances at each rarity reduced

		1.1.8:

				- updated for EpicLoot 0.9.2

		1.1.7:

				- set freebuild and quicklearner to noroll. these make gameplay loops easier but don't really add depth.

		1.1.6:

				- fixed json error

		1.1.5:

				- "Why use a tower shield?" update
				- ModifyBlockPower, AddBlockingSkill, ModifyBlockPowerLowHealth are back/changed as to be only for non parrying shields.
				- ModifyBlockStaminaUse is kept as not able to roll on items. 
				- ModifyParryLowHealth is back but only for shields that can parry.
				- excluded abyssal harpoon from getting the recall enchants. (because it can't get throwable so...)

		1.1.4:

				- fixed adventuredata.json to include the new biome entries for bosses

		1.1.3:

				- removed troll armor, root armor, fenring armor, frostner, fenring claws from gambles
		1.1.2:

				- Nerfed: staggerondamagetaken, now matches changes to modifystaggerduration, modifystaggerdamage set to noroll
		1.1.1:

				- fixed json errors

		1.1.0:

				- Mistlands update

				- Modify Eitr regen set to no roll

				- Modify Eitr regen low health preserved as is

				- Nerfed: stagger, slow, backstab

				- Nerfed: removed indestructible from legendaries

				- Nerfed: marked indestructible as noroll

		1.0.6:

				- changed meadows trophies to sacrifice to magic essence. ( greylings drop the magic dust )

				- moved all tab key recipes to the forge, workbench, cauldron, and stonecutter. upgrading materials can now only be done at the forge table with runestones as the catalyst reagent (replacing gold)

				- shard recipes that used to cost gold now use a specific ingredient per type of enchant material desired

				- added fenring cultist and ulv trophies to shard drops

				- added fenring cultist, ulv, and bats to adventure mode bounties

				- nerfed the rewards of various bounties, normalized them so you can predict bounty rewards and difficulty based on its home biome

				- some bounties will be for npcs that have wandered away from their normal biomes

		1.0.5:

				- forgot to update some readme file text.
				
				- updated dll process filter.

		1.0.4: 

				- added abomination and growth trophies as sacrifice recipes.

				- rearranged shard sacrifice recipes so that rewarded shard can be predicted based on biome.

				- some harder mobs will still drop better shards however.

				- updated this goes here copy operation

		1.0.1 - 1.0.3: 

				- corrected this goes here copy operation

		1.0.0: 

				- initial upload

</details>

## dll code example

```
using BepInEx;

using Debug = UnityEngine.Debug;

namespace EpicLoot_Stellarwhims_Nerfs_versionverify

{

	[BepInPlugin("stellarwhims.SwhimsELNerfs", "Stellarwhims EpicLoot Nerfs", "1.1.18")]

	[BepInProcess("valheim.exe")]
	[BepInProcess("valheim_server.exe")]

	public class SwhimsELNerfsVerify : BaseUnityPlugin

	{

		void Awake()

		{

			Debug.Log("Stellarwhims EpicLoot Nerfs installed!");

		}

	}

}
```

